Page MenuHomePhabricator

Track in-banner interactions using EventLogging
Closed, ResolvedPublic2 Estimated Story Points

Description

Some interactions in the banner are tracked with a low rate. We have been using our web analytics software for that and should now take a different approach, because requests to third-party servers are being prevented in test mode.

Acceptance criteria:

  • Our web analytics server is not requested by our banners.
  • An event logging schema is created.
  • The event logging schema takes information on the banner name and the action that was triggered.
  • The event logging schema is used, when one of the following actions are triggered by users:
    • Banner close button is clicked
    • Mobile mini banner is clicked to open the donation form
  • The event logging schema is used when the banner detects that it would be too big for the view part and does not display. It records the viewport size so we can create more responsive banners.
  • Banners on wikipedia.de still track the user interaction using our web analytics software.
  • Outdated trackings (search field, annual plan) are removed.

Notes
Event logging schemas are defined on the meta-wiki.

Event Timeline

Restricted Application added a project: WMDE-FUN-Team. · View Herald TranscriptJun 18 2018, 7:26 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
kai.nissen updated the task description. (Show Details)Jun 18 2018, 9:32 AM
kai.nissen set the point value for this task to 5.
gabriel-wmde added a subscriber: gabriel-wmde.

The schema is ready at https://meta.wikimedia.org/wiki/Schema:WMDEBannerEvents and the code is prepared.

But to be able to use the schema for logging, its schema revision id needs to be introduced to the MediaWiki, either by adding it directly to the EN and DE Wikipedia configuration (see $wgEventLoggingSchemas) or by adding it to an extension. The most likely candidate for an extension would be https://www.mediawiki.org/wiki/Extension:WikimediaEvents.

Since this now involves talking to 3rd parties, I'm putting this on hold.

@kai.nissen Could you talk to the right people and tell us where to place the schema revision?

Vvjjkkii renamed this task from Track in-banner interactions using EventLogging to 8qaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 8qaaaaaaaa to Track in-banner interactions using EventLogging.Jul 2 2018, 4:41 AM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot set the point value for this task to 5.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

@gabriel-wmde The events should be registered in Extension:WikimediaEvents. You can poke @Addshore for reviews.

gabriel-wmde changed the point value for this task from 5 to 2.
gabriel-wmde triaged this task as High priority.
gabriel-wmde moved this task from Todo to Doing on the WMDE-FUN-Sprint-2018-07-09 board.

Change 444583 had a related patch set uploaded (by Gabriel Birke; owner: Gabriel Birke):
[mediawiki/extensions/WikimediaEvents@master] Add event logging for WMDE fundraising banners

https://gerrit.wikimedia.org/r/444583

gabriel-wmde updated the task description. (Show Details)Jul 9 2018, 2:47 PM

I've put the event logging schema IDs into the WikimediaEvents extension definition and made a pull request. I've created a second schema for tracking the size issues.

gabriel-wmde removed gabriel-wmde as the assignee of this task.Jul 9 2018, 2:49 PM
gabriel-wmde moved this task from Doing to Review on the WMDE-FUN-Sprint-2018-07-09 board.

Change 444583 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Add event logging for WMDE fundraising banners

https://gerrit.wikimedia.org/r/444583

Change 445377 had a related patch set uploaded (by Gabriel Birke; owner: Gabriel Birke):
[mediawiki/extensions/WikimediaEvents@wmf/1.32.0-wmf.12] Add event logging for WMDE fundraising banners

https://gerrit.wikimedia.org/r/445377

Change 445379 had a related patch set uploaded (by Gabriel Birke; owner: Gabriel Birke):
[mediawiki/extensions/WikimediaEvents@wmf/1.32.0-wmf.10] Add event logging for WMDE fundraising banners

https://gerrit.wikimedia.org/r/445379

Change 445377 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@wmf/1.32.0-wmf.12] Add event logging for WMDE fundraising banners

https://gerrit.wikimedia.org/r/445377

Change 445379 abandoned by Gabriel Birke:
Add event logging for WMDE fundraising banners

https://gerrit.wikimedia.org/r/445379

kai.nissen closed this task as Resolved.Jul 23 2018, 11:18 AM